petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexVTKWriteAll

Write a file containing all the fields that have been provided to the viewer

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexVTKWriteAll(PetscObject odm, PetscViewer viewer)

Collective

### Input Arguments

| odm | - The DMPlex specifying the mesh, passed as a PetscObject
| viewer | - viewer of type VTK

### Note

This function is a callback used by the VTK viewer to actually write the file. The reason for this odd model is that the VTK file format does not provide any way to write one field at a time. Instead, metadata for the entire file needs to be available up-front before you can start writing the file.

### See Also

PETSCVIEWERVTK

### Level

developer

### Location

src/dm/impls/plex/plexvtk.c

### Implementations

DMPlexVTKWriteAll_ASCII in src/dm/impls/plex/plexvtk.c
DMPlexVTKWriteAll_VTU in src/dm/impls/plex/plexvtu.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages